﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Reporting;
using Infragistics.Windows.DataPresenter.ExcelExporter;
using Infragistics.Documents.Excel;
using System.Diagnostics;

namespace Test
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable table { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            table = new DataTable();
            table.Columns.Add("Dosage", typeof(bool));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            //
            // Here we add five DataRows.
            //
            table.Rows.Add(true, "Indocinnnnnnn", "David", DateTime.Now);
            table.Rows.Add(false, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(false, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(false, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(true, "Dilantin", "Melanie", DateTime.Now);

            DataContext = table.DefaultView;
        }

        

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            DataPresenterExcelExporter exporter = new DataPresenterExcelExporter();
            exporter.Export(xamDataGrid1, "TEST.xlsx",WorkbookFormat.Excel2007);
            Workbook wb = new Workbook(WorkbookFormat.Excel2007);
            wb = Workbook.Load("TEST.xlsx");
            wb.Worksheets[0].DisplayOptions.FrozenPaneSettings.FrozenColumns = 2;
            wb.Worksheets[0].DisplayOptions.PanesAreFrozen = true;
            wb.Save("TEST.xlsx");
            Process.Start("TEST.xlsx");
        }
        
    }

}
